package com.fireworksdk.bridge.flutter

import android.app.Activity
import android.content.Context
import com.firework.livestream.LivestreamPlayerInitializer
import com.fireworksdk.bridge.utils.FWLanguageUtil
import com.fireworksdk.bridge.utils.FWLiveStreamUtil

object FWFlutterSDK {

  fun addLivestreamPlayerInitializer(initializer: LivestreamPlayerInitializer?) {
    FWLiveStreamUtil.addLivestreamPlayerInitializer(initializer)
  }

  fun updateBaseContextLocale(context: Context): Context {
    return FWLanguageUtil.getInstance(context).updateBaseContextLocale(context)
  }


  fun changeLanguage(localeString: String, activity: Activity) {
    FWLanguageUtil.getInstance(activity).changeLanguage(localeString, activity)
  }

}