package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWCtaButtonTextValue

data class FWProductInfoViewConfiguration(
  val ctaButton: CtaButtonConfiguration? = null,
  val linkButton: LinkButtonConfiguration? = null,
) {

  data class CtaButtonConfiguration(
    val text: FWCtaButtonTextValue? = null,
    val backgroundColor: String? = null,
    val textColor: String? = null,
    val fontSize: Int? = null,
  )

  data class LinkButtonConfiguration(
    val isHidden: Boolean? = null,
  )
}
