package com.fireworksdk.bridge.models.enums

enum class FWBadgeTextType(val rawValue: String) {
  Ad("ad"),
  Sponsored("sponsored");

  companion object {
    fun deserialize(rawValue: String?): FWBadgeTextType? {
      rawValue ?: return null
      return FWBadgeTextType.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWBadgeTextType?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}