package com.fireworksdk.bridge.models.enums

enum class FWCtaButtonTextValue(val rawValue: String) {
  AddToCart("addToCart"),
  ShopNow("shopNow");

  companion object {
    fun deserialize(rawValue: String?): FWCtaButtonTextValue? {
      rawValue ?: return null
      return values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWCtaButtonTextValue?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}