package com.fireworksdk.bridge.models.enums

enum class FWCtaDelayType(val rawValue: String) {
  Constant("constant"),
  Percentage("percentage");

  companion object {
    fun deserialize(rawValue: String?): FWCtaDelayType? {
      rawValue ?: return null
      return FWCtaDelayType.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWCtaDelayType?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}