//
//  FireworkSdk+CTA.swift
//  fw_flutter_sdk
//
//  Created by Jeff Zheng on 2021/12/21.
//

import FireworkVideo
import Foundation

extension FireworkSDKPlugin: FireworkVideoCTADelegate {
    func handleCustomCTAClick(_ viewController: PlayerViewController, url: URL) -> Bool {
        channel.invokeMethod(
            FWEventName.customCTAClick.rawValue, arguments: ["url": url.absoluteString])

        return customCTAClickEnabled
    }
}
