//
//  UINavigationController+FWSwizzle.swift
//
//  Created by linjie jiang on 2023/2/8.
//

import UIKit
#if canImport(FireworkVideoUI)
import FireworkVideoUI
#endif

extension UINavigationController {
    static func swizzleMethodsForNavigationController() {
        Swizzle.swizzleSelector(
            cls: self,
            originalSelector: #selector(UINavigationController.pushViewController(_:animated:)),
            customSelector: #selector(UINavigationController.fw_pushViewController(_:animated:))
        )
    }

    @objc func fw_pushViewController(
        _ viewController: UIViewController,
        animated: Bool
    ) {
        if viewController is CartViewController {
            return
        }

        self.fw_pushViewController(viewController, animated: animated)
    }
}
