import '../../models/track_purchase_parameters.dart';

class TrackPurchaseParametersUtil {
  static Map<String, dynamic> toJson(TrackPurchaseParameters? parameters) {
    Map<String, dynamic> json = {};
    if (parameters == null) {
      return json;
    }

    if (parameters.orderId != null) {
      json["orderId"] = parameters.orderId!;
    }

    if (parameters.value != null) {
      json["value"] = parameters.value!;
    }

    if (parameters.currencyCode != null) {
      json["currencyCode"] = parameters.currencyCode!;
    }

    if (parameters.countryCode != null) {
      json["countryCode"] = parameters.countryCode!;
    }

    if (parameters.additionalInfo != null) {
      json["additionalInfo"] = parameters.additionalInfo!;
    }

    return json;
  }
}
