package com.fireworksdk.bridge.models.enums

enum class FWPlayerLaunchBehavior(val rawValue: String) {
  Default("default"),
  MuteOnFirstLaunch("muteOnFirstLaunch");

  companion object {
    fun deserialize(rawValue: String?): FWPlayerLaunchBehavior? {
      rawValue ?: return null
      return FWPlayerLaunchBehavior.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWPlayerLaunchBehavior?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}