//
//  AdBadgeConfiguration.swift
//  fw_flutter_sdk
//
//  Created by Jeff Zheng on 2022/3/8.
//

import Foundation

struct AdBadgeConfiguration: Codable {
    var badgeTextType: BadgeTextType = .ad
    var backgroundColor: String?
    var textColor: String?

    enum BadgeTextType: String, Codable {
        // swiftlint:disable:next identifier_name
        case ad, sponsored
    }
}
