import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/fw_error_util.dart';

void main() {
  test('FWError fromJson', () {
    final json = {
      "name": "error_name",
      "reason": "error_reason",
    };
    final error = FWErrorUtil.fromJson(json);
    expect(error?.name, json["name"]);
    expect(error?.reason, json["reason"]);
  });
}
