import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/shopping_cta_result.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/shopping_cta_result_util.dart';

void main() {
  test('AddToCartResultUtil toJson', () {
    expect(
      ShoppingCTAResultUtil.toJson(ShoppingCTAResult(
          res: ShoppingCTARes.success, tips: "Add to cart successfully")),
      <String, dynamic>{"res": "success", "tips": "Add to cart successfully"},
    );

    expect(
      ShoppingCTAResultUtil.toJson(ShoppingCTAResult(
          res: ShoppingCTARes.fail, tips: "Fail to add to cart")),
      <String, dynamic>{"res": "fail", "tips": "Fail to add to cart"},
    );
  });
}
