import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/video_feed_source.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/video_feed_source_util.dart';

void main() {
  test('VideoFeedSourceUtil createFeedSource', () {
    expect(VideoFeedSourceUtil.createFeedSource("discover"),
        VideoFeedSource.discover);
    expect(VideoFeedSourceUtil.createFeedSource("channel"),
        VideoFeedSource.channel);
    expect(VideoFeedSourceUtil.createFeedSource("playlist"),
        VideoFeedSource.playlist);
    expect(VideoFeedSourceUtil.createFeedSource("playlistGroup"),
        VideoFeedSource.playlistGroup);
    expect(VideoFeedSourceUtil.createFeedSource("dynamicContent"),
        VideoFeedSource.dynamicContent);
  });
}
